//colours

$color-limeGreen: #71b500;
$color-pistachio: #cddc29;
$color-grass: #37a640;
$color-accessibleGreen: #178830;
$color-bondiBlue: #007c9e;

$color-heading: $color-accessibleGreen;

$color-bg-warmGrey: #fcf9f2;
$color-bg-coolGrey: #f7f7f7;
$color-bg-transWhite: rgba(255, 255, 255, 0.8);
$color-bg-lightApricot: #fefdf9;

$color-slate: #3d3d3d;
$color-accessibleGrey: #757575;
$color-petroleum: #46616e;
$color-fog: #d2d9dc;
$color-skyBlue: #0095f4;
$color-oceanBlue: #04589b;
$color-overlay-green: rgba(23, 136, 48, 0.8);
$color-overlay-teal: rgba(20, 136, 164, 0.8);
$color-overlay-strawberry: rgba(235, 57, 36, 0.8);
$color-overlay-blackcurrant: rgba(74, 9, 120, 0.8);

$gradient-mint-start: #61e2d2;
$gradient-mint-end: #dcf6ce;

$gradient-dusty-mint-start: #cbf6ee;
$gradient-dusty-mint-end: #eef7e8;

$gradient-pistachio-start: #cad443;
$gradient-pistachio-end: #f4f7da;

$gradient-dusty-pistachio-start: #f5f7c8;
$gradient-dusty-pistachio-end: #f9fae6;

$gradient-apricot-start: #fcce9a;
$gradient-apricot-end: #fef9e2;

$gradient-light-apricot-start: #ffe7c9;
$gradient-light-apricot-end: #fdf6e9;

$gradient-light-meadow-start: #d6ffd5;
$gradient-light-meadow-end: #fdffda;

$gradient-light-bluebell-start: #e4f7ff;
$gradient-light-bluebell-end: #fffcf4;

$gradient-strawberry-start: #de1b22;
$gradient-strawberry-end: #f76448;

$gradient-blackcurrant-start: #441765;
$gradient-blackcurrant-end: #8d5ca0;

$gradient-teal-start: #2f5b87;
$gradient-teal-end: #13819c;

$gradient-clover-start: #107b27;
$gradient-clover-mid: $color-accessibleGreen;
$gradient-clover-end: #a0d007;

$text-color: #3d3d3d;
$text-color-invert: #fff;

$link-color: #04589b;
$link-color-hover: #3d3d3d;

$border-color: rgba(0, 63, 116, 0.1);
$border-color-invert: rgba(216, 216, 216, 0.3);
$border-light-colour: #f8fafb;

//margins & padding
$global-padding-mobile: 1rem;
$global-padding-tablet: 2rem;
$global-padding-desktop: 1.5rem;
$global-padding-box-desktop: 36px;

//dimensions
$height-nav: 50px;
//$page-width:1440px;
$page-width: 100%;
$page-width-inner: 1280px;
$article-width-inner: 700px;

$article-width-outer: calc(995px + #{$global-padding-desktop * 2});

$font-muli: "Muli", sans-serif;
$font-heading: "livvic", sans-serif;
$hr-color: #f9fafc !default;

$table-highlight: #ddd !default;
$table-auto-border: false !default;
$table-auto-stripe: false !default;
$table-auto-hover: false !default;
$table-bg-color: #fff !default;
$table-bg-hover-color: #f5f5f5 !default;
$table-bg-accent-color: #eee !default;
$table-border-color: #eee !default;

$default-margin: 1.5rem;

$valid-colour: $color-accessibleGreen;
$invalid-colour: #eb3924;

$form-placeholder: #767676;

// spacing as per https://projects.invisionapp.com/d/main#/console/12253904/271504324/preview

$mobile: (
  space-xsm: 14px,
  space-xsmsm: 17px,
  space-sm: 20px,
  space-md: 30px,
  space-lg: 46px,
  space-xl: 66px,
  space-lg-withCurve: calc(46px + ((35.6 / 1439) * 100vw)),
  space-lg-withFlourish: calc(70px + ((35.6 / 1439) * 100vw)),
  space-lg-withoutCurve: calc(46px - ((35.6 / 1439) * 100vw))
);

$desktop: (
  space-xsm: 15px,
  space-xsmsm: 26px,
  space-sm: 36px,
  space-md: 54px,
  space-lg: 60px,
  space-xl: 184px,
  space-lg-withCurve: calc(60px + ((35.6 / 1439) * 100vw)),
  space-lg-withFlourish: calc(100px + ((35.6 / 1439) * 100vw)),
  space-lg-withoutCurve: calc(60px - ((35.6 / 1439) * 100vw))
);

$alert-purple: #6f3695;
